Subject: bug#60645: 30.0.50; interactive MODES not detected properly

From: Jean Louis <[email-masked]>
Date: Mon, 9 Jan 2023 00:39:26 +0300

* Eli Zaretskii <[email-masked]> [2023-01-08 15:11]:
> > > If MODES is present, it should be a list of mode names (symbols) that
> > > this command is applicable for.  The main effect of this is that
> > > ‘M-x TAB’ (by default) won’t list this command if the current buffer’s
> > > mode doesn’t match the list.  That is, if either the major mode isn’t
> > > derived from them, or (when it’s a minor mode) the mode isn’t in effect.

> IOW, no quoting and no explicit list.  The documentation clearly says
> 
>   (interactive &optional ARG-DESCRIPTOR &rest MODES)
> 
> "&rest MODES" means zero or more symbols, not a quoted list.

I was confused with "If MODES is present, it should be a list of mode
names (symbols) that..."

--
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/